"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconOrientationVerticalFill = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsxs(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 24 24",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg",
      ref,
      ...props,
      children: [
        /* @__PURE__ */ jsxRuntime.jsx("path", { d: "M4 13H8V20H4V13Z" }),
        /* @__PURE__ */ jsxRuntime.jsx("path", { d: "M10 9H14V20H10V9Z" }),
        /* @__PURE__ */ jsxRuntime.jsx("path", { d: "M16 4H20V20H16V4Z" })
      ]
    }
  );
};
const ForwardRef = React.forwardRef(IconOrientationVerticalFill);
const OrientationVerticalFill = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "OrientationVerticalFill", props.className].join(" ")
    }
  );
});
OrientationVerticalFill.displayName = "IconOrientationVerticalFill";
exports.default = OrientationVerticalFill;
